gsw_CT_from_enthalpy {gsw} | R Documentation

## Conservative Temperature from Enthalpy

### Description

Conservative Temperature from Enthalpy

### Usage

    gsw_CT_from_enthalpy(SA, h, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`h` | specific enthalpy [ J/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Conservative Temperature [ degC ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_CT_from_enthalpy.html

### See Also

Other things related to enthalpy: `gsw_dynamic_enthalpy`, `gsw_enthalpy_CT_exact`, `gsw_enthalpy_diff`, `gsw_enthalpy_first_derivatives_CT_exact`, `gsw_enthalpy_first_derivatives`, `gsw_enthalpy_ice`, `gsw_enthalpy_t_exact`, `gsw_enthalpy`, `gsw_frazil_properties_potential_poly`, `gsw_frazil_properties_potential`, `gsw_pot_enthalpy_from_pt_ice_poly`, `gsw_pot_enthalpy_from_pt_ice`, `gsw_pot_enthalpy_ice_freezing_poly`, `gsw_pot_enthalpy_ice_freezing`, `gsw_pt_from_pot_enthalpy_ice_poly`, `gsw_pt_from_pot_enthalpy_ice`, `gsw_specvol_first_derivatives_wrt_enthalpy`, `gsw_specvol_first_derivatives`

### Examples

    SA <- c(34.7118, 34.8915, 35.0256, 34.8472, 34.7366, 34.7324)
    h <- c(1.15103e5, 1.14014e5, 0.92180e5, 0.43255e5, 0.33087e5, 0.26970e5)
    p <- c(       10,        50,       125,       250,       600,      1000)
    pt <- c(28.7832, 28.4209, 22.7850, 10.2305,  6.8292,  4.3245)
    CT <- gsw_CT_from_enthalpy(SA, h, p)
    expect_equal(CT, c(28.809854569021972, 28.439026483379287, 22.786196534098817,
      10.226106994920777, 6.827159682675204, 4.323428660306681))

[Package gsw version 1.0-5 Index]